#pragma once

#include <Graphics/Graphics.h>
#include <Juliet.h>

namespace Juliet
{
    extern bool            ImGuiRenderer_Initialize(GraphicsDevice* device);
    extern void            ImGuiRenderer_Shutdown(GraphicsDevice* device);
    extern void            ImGuiRenderer_NewFrame();
    extern JULIET_API void ImGuiRenderer_Render(CommandList* cmdList, RenderPass* renderPass);
} // namespace Juliet
